Name: H5Pset_hyper_vector_size
Signature:
  herr_t `H5Pset_hyper_vector_size`(hid_t `dxpl_id`, size_t `vector_size` )
Purpose:
  Sets number of I/O vectors to be read/written in hyperslab I/O.
Description:
  `H5Pset_hyper_vector_size` sets the number of I/O vectors to be accumulated in memory before being issued to the lower levels of the HDF5 library for reading or writing the actual data.

  The I/O vectors are hyperslab offset and length pairs and are generated during hyperslab I/O.

  The number of I/O vectors is passed in `vector_size` to be set in the dataset transfer property list `dxpl_id`. `vector_size` must be greater than `1` (one).

  `H5Pset_hyper_vector_size` is an I/O optimization function; increasing `vector_size` should provide better performance, but the library will use more memory during hyperslab I/O. The default value of `vector_size` is `1024`.

Parameters:

hid_t `dxpl_id` | IN: Dataset transfer property list identifier.
size_t `vector_size` | IN: Number of I/O vectors to accumulate in memory for I/O operations. Must be greater than `1` (one). Default value: `1024`.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_hyper_vector_size_f

      SUBROUTINE h5pset_hyper_vector_size_f(plist_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id ! Dataset transfer property list
                                               ! identifier
        INTEGER(SIZE_T), INTENT(IN) :: size    ! Vector size
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_hyper_vector_size_f

History:

Release | C
1.6.0 | Function introduced in this release.